OpenNMS API 1.2.9

## org.opennms.netmgt.poller.nsclient
Class NsclientCheckParams

    java.lang.Object
      org.opennms.netmgt.poller.nsclient.NsclientCheckParams

public class NsclientCheckParams
extends java.lang.Object

This class contains the parameters used to perform and validate checks against the NSClient daemon.

Author:
  Matt Raykowski

Field Summary
`private int` `m_CriticalPercent` Contains the critical threshold.
`private java.lang.String` `m_ParamString` Contains a string holding parameters related to check items.
`private int` `m_WarningPercent` Contains the warning threshold.

Constructor Summary
`NsclientCheckParams(int critPerc)` Constructor, sets the critical threshold.
`NsclientCheckParams(int critPerc, int warnPerc)` Constructor, sets the critical and warning thresholds.
`NsclientCheckParams(int critPerc, int warnPerc, java.lang.String params)` Constructor, sets the critical and warning thresholds and the parameter strings.
`NsclientCheckParams(java.lang.String params)` Constructor, sets the parameter string used when creating check requests.

Method Summary
`int` `getCriticalPercent()` Returns the critical threshold value.
`java.lang.String` `getParamString()` Returns the string containing the parameters for creating check requests.
`int` `getWarningPercent()` Returns the warning threshold value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_WarningPercent

    private int m_WarningPercent

  Contains the warning threshold.

### m_CriticalPercent

    private int m_CriticalPercent

  Contains the critical threshold.

### m_ParamString

    private java.lang.String m_ParamString

  Contains a string holding parameters related to check items.

Constructor Detail

### NsclientCheckParams

    public NsclientCheckParams(int critPerc)

  Constructor, sets the critical threshold.

Parameters:
  `critPerc` - the value to be used for the critical threshold.

### NsclientCheckParams

    public NsclientCheckParams(int critPerc,
                               int warnPerc)

  Constructor, sets the critical and warning thresholds.

Parameters:
  `critPerc` - the value to be used for the critical threshold.
  `warnPerc` - the value to be used for the warning threshold.

### NsclientCheckParams

    public NsclientCheckParams(int critPerc,
                               int warnPerc,
                               java.lang.String params)

  Constructor, sets the critical and warning thresholds and the parameter strings.

Parameters:
  `critPerc` - the value to be used for the critical threshold.
  `warnPerc` - the value to be used for the warning threshold.
  `params` - the parameter string used for creating check requests.

### NsclientCheckParams

    public NsclientCheckParams(java.lang.String params)

  Constructor, sets the parameter string used when creating check requests.

Parameters:
  `params` - the parameter string used for creating check requests.

Method Detail

### getWarningPercent

    public int getWarningPercent()

  Returns the warning threshold value.

  Returns:
    the warning threshold value.

### getCriticalPercent

    public int getCriticalPercent()

  Returns the critical threshold value.

  Returns:
    the critical threshold value.

### getParamString

    public java.lang.String getParamString()

  Returns the string containing the parameters for creating check requests.

  Returns:
    the string containing the parameters for creating check requests.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.